Skip to main content
PUT
/
api
/
v1
/
monitors
/
{id}
Update a monitor
curl --request PUT \
  --url https://api.devhelm.io/api/v1/monitors/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "config": {
    "hostname": "<string>",
    "recordTypes": [],
    "nameservers": [
      "<string>"
    ],
    "timeoutMs": 123,
    "totalTimeoutMs": 123
  },
  "frequencySeconds": 43205,
  "enabled": true,
  "regions": [
    "<string>"
  ],
  "environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clearEnvironmentId": true,
  "assertions": [
    {
      "config": {
        "type": "body_contains",
        "substring": "<string>"
      }
    }
  ],
  "auth": {
    "type": "bearer",
    "vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "clearAuth": true,
  "incidentPolicy": {
    "triggerRules": [
      {
        "count": 123,
        "windowMinutes": 123,
        "thresholdMs": 123
      }
    ],
    "confirmation": {
      "type": "multi_region",
      "minRegionsFailing": 123,
      "maxWaitSeconds": 123
    },
    "recovery": {
      "consecutiveSuccesses": 123,
      "minRegionsPassing": 123,
      "cooldownMinutes": 123
    }
  },
  "alertChannelIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "tags": {
    "tagIds": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "newTags": [
      {
        "name": "<string>",
        "color": "<string>"
      }
    ]
  }
}
'
import requests

url = "https://api.devhelm.io/api/v1/monitors/{id}"

payload = {
"name": "<string>",
"config": {
"hostname": "<string>",
"recordTypes": [],
"nameservers": ["<string>"],
"timeoutMs": 123,
"totalTimeoutMs": 123
},
"frequencySeconds": 43205,
"enabled": True,
"regions": ["<string>"],
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clearEnvironmentId": True,
"assertions": [{ "config": {
"type": "body_contains",
"substring": "<string>"
} }],
"auth": {
"type": "bearer",
"vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"clearAuth": True,
"incidentPolicy": {
"triggerRules": [
{
"count": 123,
"windowMinutes": 123,
"thresholdMs": 123
}
],
"confirmation": {
"type": "multi_region",
"minRegionsFailing": 123,
"maxWaitSeconds": 123
},
"recovery": {
"consecutiveSuccesses": 123,
"minRegionsPassing": 123,
"cooldownMinutes": 123
}
},
"alertChannelIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"tags": {
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"newTags": [
{
"name": "<string>",
"color": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {
hostname: '<string>',
recordTypes: [],
nameservers: ['<string>'],
timeoutMs: 123,
totalTimeoutMs: 123
},
frequencySeconds: 43205,
enabled: true,
regions: ['<string>'],
environmentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clearEnvironmentId: true,
assertions: [{config: {type: 'body_contains', substring: '<string>'}}],
auth: {type: 'bearer', vaultSecretId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
clearAuth: true,
incidentPolicy: {
triggerRules: [{count: 123, windowMinutes: 123, thresholdMs: 123}],
confirmation: {type: 'multi_region', minRegionsFailing: 123, maxWaitSeconds: 123},
recovery: {consecutiveSuccesses: 123, minRegionsPassing: 123, cooldownMinutes: 123}
},
alertChannelIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
tags: {
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
newTags: [{name: '<string>', color: '<string>'}]
}
})
};

fetch('https://api.devhelm.io/api/v1/monitors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": 123,
    "name": "<string>",
    "config": {
      "hostname": "<string>",
      "recordTypes": [],
      "nameservers": [
        "<string>"
      ],
      "timeoutMs": 123,
      "totalTimeoutMs": 123
    },
    "frequencySeconds": 123,
    "enabled": true,
    "regions": [
      "<string>"
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "assertions": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "config": {
          "type": "body_contains",
          "substring": "<string>"
        }
      }
    ],
    "tags": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "organizationId": 123,
        "name": "<string>",
        "color": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "pingUrl": "<string>",
    "environment": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "<string>"
    },
    "auth": {
      "type": "bearer",
      "vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "incidentPolicy": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "triggerRules": [
        {
          "count": 123,
          "windowMinutes": 123,
          "thresholdMs": 123
        }
      ],
      "confirmation": {
        "type": "multi_region",
        "minRegionsFailing": 123,
        "maxWaitSeconds": 123
      },
      "recovery": {
        "consecutiveSuccesses": 123,
        "minRegionsPassing": 123,
        "cooldownMinutes": 123
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "monitorRegionCount": 123,
      "checkFrequencySeconds": 123
    },
    "alertChannelIds": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ]
  }
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Body

application/json
name
string | null

New monitor name; null preserves current

Maximum string length: 255
config
object
frequencySeconds
integer<int32> | null

New check frequency in seconds (10–86400); null preserves current

Required range: 10 <= x <= 86400
enabled
boolean | null

Enable or disable the monitor; null preserves current

regions
string[] | null

New probe regions; null preserves current. Allowed values are deployment-dependent.

New probe regions; null preserves current. Allowed values are deployment-dependent.

managedBy
enum<string> | null

New ownership source: DASHBOARD, CLI, TERRAFORM, MCP, or API; null preserves current value

Available options:
DASHBOARD,
CLI,
TERRAFORM,
MCP,
API
environmentId
string<uuid> | null

New environment ID; null preserves current (use clearEnvironmentId to unset)

clearEnvironmentId
boolean | null

Set to true to remove the environment association

assertions
object[] | null

Replace all assertions; null preserves current

auth
object

New authentication configuration (full replacement)

clearAuth
boolean | null

Set to true to remove authentication

incidentPolicy
object | null

Request body for updating an incident policy

alertChannelIds
string<uuid>[] | null

Replace alert channel list; null preserves current

Replace alert channel list; null preserves current

tags
object | null

Request body for adding tags to a monitor. Provide existing tag IDs, inline new tags, or both.

Response

OK

data
object
required

Full monitor representation